Wget ERROR: The certificate is not trusted

Дата: 11.08.2015Метки:

Из-за отсутствия в системе корневых сертификатов, wget при попытке получить данные с сервера по протоколу https не может выполнить проверку подлинности сертификата. В результате мы получим такую ошибку:

ERROR: The certificate of 'openssl.org' is not trusted.

Для решения проблемы необходимо установить пакет ca-certificates:

apt-get install ca-certificates

Как вариант можно использовать опцию игнорирования проверки подлинности:

wget --no-check-certificate

Следует отметить, использовать данную опцию необходимо крайне осторожно, это потенциально опасно и может поставить под угрозу всю систему.